
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>TF-IDF与余弦相似性的应用（三）：自动摘要 / iVAN</title>

    <meta name="description" content="TF-IDF与余弦相似性的应用（三）：自动摘要 有时候,很简单的数学方法,就可以完成很复杂的任务. 这个系列的前两部分就是很好的例子.仅仅依靠统计词频,就能找出关键词和相似文章.虽然它们算不上效果最好的方法,但肯定是最简便易行的方法. 今天,依然继续这个主题.讨论如何通过词频,对文章进行自动摘要(Automatic summarization). 如果能从3000字的文章,提炼出150字的摘要,就可以为读者节省大量阅读时间.由人完成的摘要叫&quot;人工摘要&quot;,由机器完成的就叫&quot;自动摘要&quot;.许多网站都需要它,比 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">TF-IDF与余弦相似性的应用（三）：自动摘要</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>有时候，很简单的数学方法，就可以完成很复杂的任务。</p>
<p>这个系列的前两部分就是很好的例子。仅仅依靠统计词频，就能找出<a href="http://www.ruanyifeng.com/blog/2013/03/tf-idf.html" rel="external nofollow noreferrer">关键词</a>和<a href="http://www.ruanyifeng.com/blog/2013/03/cosine_similarity.html" rel="external nofollow noreferrer">相似文章</a>。虽然它们算不上效果最好的方法，但肯定是最简便易行的方法。</p>
<p>今天，依然继续这个主题。讨论如何通过词频，对文章进行<a href="http://en.wikipedia.org/wiki/Automatic_summarization" rel="external nofollow noreferrer">自动摘要</a>（Automatic summarization）。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UuYmVla2thLmNvbS9ibG9nLzIwMTMwMy9iZzIwMTMwMzI1MDEucG5n.jpg"><br />如果能从3000字的文章，提炼出150字的摘要，就可以为读者节省大量阅读时间。由人完成的摘要叫"人工摘要"，由机器完成的就叫"自动摘要"。许多网站都需要它，比如论文网站、新闻网站、搜索引擎等等。2007年，美国学者的论文<a href="http://www.cs.cmu.edu/~nasmith/LS2/das-martins.07.pdf" rel="external nofollow noreferrer">《A Survey on Automatic Text Summarization》</a>（Dipanjan Das, Andre F.T. Martins, 2007）总结了目前的自动摘要算法。其中，很重要的一种就是词频统计。</p>
<p>这种方法最早出自1958年的IBM公司科学家<a href="http://en.wikipedia.org/wiki/Hans_Peter_Luhn" rel="external nofollow noreferrer">H.P. Luhn</a>的论文<a href="http://www.di.ubi.pt/~jpaulo/competence/general/(1958)Luhn.pdf" rel="external nofollow noreferrer">《The Automatic Creation of Literature Abstracts》</a>。</p>
<p>Luhn博士认为，文章的信息都包含在句子中，有些句子包含的信息多，有些句子包含的信息少。"自动摘要"就是要找出那些包含信息最多的句子。</p>
<p>句子的信息量用"关键词"来衡量。如果包含的关键词越多，就说明这个句子越重要。Luhn提出用"簇"（cluster）表示关键词的聚集。所谓"簇"就是包含多个关键词的句子片段。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UuYmVla2thLmNvbS9ibG9nLzIwMTMwMy9iZzIwMTMwMzI1MDIucG5n.jpg"><br />上图就是Luhn原始论文的插图，被框起来的部分就是一个"簇"。只要关键词之间的距离小于"门槛值"，它们就被认为处于同一个簇之中。Luhn建议的门槛值是4或5。也就是说，如果两个关键词之间有5个以上的其他词，就可以把这两个关键词分在两个簇。</p>
<p>下一步，对于每个簇，都计算它的重要性分值。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2UuYmVla2thLmNvbS9ibG9nLzIwMTMwMy9iZzIwMTMwMzI1MDMucG5n.jpg"><br />以前图为例，其中的簇一共有7个词，其中4个是关键词。因此，它的重要性分值等于 ( 4 x 4 ) / 7 = 2.3。</p>
<p>然后，找出包含分值最高的簇的句子（比如5句），把它们合在一起，就构成了这篇文章的自动摘要。具体实现可以参见<a href="http://www.amazon.com/Mining-Social-Web-Analyzing-Facebook/dp/1449388345" rel="external nofollow noreferrer">《Mining the Social Web: Analyzing Data from Facebook, Twitter, LinkedIn, and Other Social Media Sites》</a>（O'Reilly, 2011）一书的第8章，python代码见<a href="https://github.com/ptwobrussell/Mining-the-Social-Web/blob/master/python_code/blogs_and_nlp__summarize.py" rel="external nofollow noreferrer">github</a>。</p>
<p>Luhn的这种算法后来被简化，不再区分"簇"，只考虑句子包含的关键词。下面就是一个例子（采用伪码表示），只考虑关键词首先出现的句子。</p>
<blockquote><p>　　Summarizer(originalText, maxSummarySize):</p>
<p>　　　　// 计算原始文本的词频，生成一个数组，比如[(10,'the'), (3,'language'), (8,'code')...]<br />
wordFrequences = getWordCounts(originalText)</p>
<p>　　　　// 过滤掉停用词，数组变成[(3, 'language'), (8, 'code')...]<br />
contentWordFrequences = filtStopWords(wordFrequences)</p>
<p>　　　　// 按照词频进行排序，数组变成['code', 'language'...]<br />
contentWordsSortbyFreq = sortByFreqThenDropFreq(contentWordFrequences)</p>
<p>　　　　// 将文章分成句子<br />
sentences = getSentences(originalText)</p>
<p>　　　　// 选择关键词首先出现的句子<br />
setSummarySentences = {}<br />
foreach word in contentWordsSortbyFreq:<br />
firstMatchingSentence = search(sentences, word)<br />
setSummarySentences.add(firstMatchingSentence)<br />
if setSummarySentences.size() = maxSummarySize:<br />
break</p>
<p>　　　　// 将选中的句子按照出现顺序，组成摘要<br />
summary = ""<br />
foreach sentence in sentences:<br />
if sentence in setSummarySentences:<br />
summary = summary + " " + sentence</p>
<p>　　　　return summary</p></blockquote>
<p>类似的算法已经被写成了工具，比如基于Java的<a href="http://classifier4j.sourceforge.net/" rel="external nofollow noreferrer">Classifier4J</a>库的<a href="http://classifier4j.sourceforge.net/subprojects/core/apidocs/net/sf/classifier4J/summariser/SimpleSummariser.html" rel="external nofollow noreferrer">SimpleSummariser</a>模块、基于C语言的<a href="http://libots.sourceforge.net/" rel="external nofollow noreferrer">OTS</a>库、以及基于classifier4J的<a href="http://nclassifier.sourceforge.net/" rel="external nofollow noreferrer">C#实现</a>和<a href="https://groups.google.com/forum/?fromgroups#!topic/nltk-dev/qV9e5TsCBHg" rel="external nofollow noreferrer">python实现</a>。</p>
<p>（完）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 19:24:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>TF-IDF与余弦相似性的应用（三）：自动摘要的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVq73b.html" rel="bookmark">TF-IDF与余弦相似性的应用（一）：自动提取关键词</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://www.ruanyifeng.com/blog/2013/03/tf-idf.html 这个标题看上去好像很复杂,其实我要谈的是一个很简单的问题. 有一篇很长的文章,我要用计算机提取它的关键词(Automatic Keyphrase extraction),完全不加以人工干预,请问怎样才能正确做到? 这个问题涉及到数据挖掘.文本处理.信息检索等很多计算机前沿领域,但是出乎意料的是,有一个非常简单的经典算法,可以给出令人相当满意的结果.它简单到都不需要高等数学,普通人只用 10			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M92ZVgp.html" rel="bookmark">PHP中TF-IDF与余弦相似性计算文章相似性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP计算相似度示例代码如下:  代码如下 复制代码 &lt;?php function similarity(array $vec1, array $vec2) {   return dotProduct($vec1, $vec2) / (absVector($vec1) * absVector($vec2)); }   function dotProduct(array $vec1, array $vec2) {   $result = 0;   foreach (array_keys($vec1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8jEA3b.html" rel="bookmark">TF-IDF与余弦相似性的应用（二）找出相似文章</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一次,我用TF-IDF算法自动提取关键词. 今天,我们再来研究另一个相关的问题.有些时候,除了找到关键词,我们还希望找到与原文章相似的其他文章.比如,&quot;Google新闻&quot;在主新闻下方,还提供多条相似的新闻. 为了找出相似的文章,需要用到&quot;余弦相似性&quot;(cosine similiarity).下面,我举一个例子来说明,什么是&quot;余弦相似性&quot;. 为了简单起见,我们先从句子着手. 句子A:我喜欢看电视,不喜欢看电影. 句子B:我不喜欢看电视,也不喜欢看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Ooy6b.html" rel="bookmark">TF-IDF与余弦相似性的应用（二）：找出相似文章</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一次,我用TF-IDF算法自动提取关键词. 今天,我们再来研究另一个相关的问题.有些时候,除了找到关键词,我们还希望找到与原文章相似的其他文章.比如,&quot;Google新闻&quot;在主新闻下方,还提供多条相似的新闻. 为了找出相似的文章,需要用到&quot;余弦相似性&quot;(cosine similiarity).下面,我举一个例子来说明,什么是&quot;余弦相似性&quot;. 为了简单起见,我们先从句子着手. 句子A:我喜欢看电视,不喜欢看电影. 句子B:我不喜欢看电视,也不喜欢看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bam0xnb.html" rel="bookmark">《深入理解Elasticsearch（原书第2版）》一2&period;1&period;2　TF&sol;IDF评分公式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1.2 TF/IDF评分公式 从Lucene 4.0版本起,Lucene引入了多种不同的打分公式,这一点或许你已经有所了解了.不过,我们还是希望在此探索一下默认的TF/IDF打分公式的一些细节.请记住,为了调节查询相关性,你并不需要深入理解这个公式的来龙去脉,但是了解它的工作原理却非常重要,因为这有助于简化相关度调优过程. 1. Lucene的理论评分公式 TF/IDF公式的理论形式如下: 上面的公式融合了布尔检索模型和向量空间检索模型.我们不打算在此讨论理论评分公式,而是直接跳到实践中使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwWaR8z.html" rel="bookmark">tf&ast;idf 用于文本分类中的特征提取</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				tf*idf tf*idf,term frequency * inverse document frequency,词频 *逆向文档频率. 1.思想 TF-IDF是一种统计方法,用于评估某个词语在文档集合中的重要程度. 如果某个词语term在一篇文章中出现的频率TF高,并且在其他文章中很少出现,则认为这个词语具有很好的文档分类能力. 2.公式 tfij=termi在docj中的出现频次docj中的总词数,表示词语i在文档j中的频率. idfi=lg(文档总数包含词语i的文档数),含有词语i的文档			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NWrwz.html" rel="bookmark">TF-IDF与余弦相似性的应用（三）自动摘要</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有时候,很简单的数学方法,就可以完成很复杂的任务. 这个系列的前两部分就是很好的例子.仅仅依靠统计词频,就能找出关键词和相似文章.虽然它们算不上效果最好的方法,但肯定是最简便易行的方法. 今天,依然继续这个主题.讨论如何通过词频,对文章进行自动摘要(Automatic summarization). 如果能从3000字的文章,提炼出150字的摘要,就可以为读者节省大量阅读时间.由人完成的摘要叫&quot;人工摘要&quot;,由机器完成的就叫&quot;自动摘要&quot;.许多网站都需要它,比如论文网站			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bala72z.html" rel="bookmark">TF-IDF与余弦相似性的应用（一）自动提取关键词</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个标题看上去好像很复杂,其实我要谈的是一个很简单的问题. 有一篇很长的文章,我要用计算机提取它的关键词(Automatic Keyphrase extraction),完全不加以人工干预,请问怎样才能正确做到? 这个问题涉及到数据挖掘.文本处理.信息检索等很多计算机前沿领域,但是出乎意料的是,有一个非常简单的经典算法,可以给出令人相当满意的结果.它简单到都不需要高等数学,普通人只用10分钟就可以理解,这就是我今天想要介绍的TF-IDF算法. 让我们从一个实例开始讲起.假定现在有一篇长文&lt;中国的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamQ6qb.html" rel="bookmark">Python简单实现基于VSM的余弦相似度计算</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				        在知识图谱构建阶段的实体对齐和属性值决策.判断一篇文章是否是你喜欢的文章.比较两篇文章的相似性等实例中,都涉及到了向量空间模型(Vector Space Model,简称VSM)和余弦相似度计算相关知识.        这篇文章主要是先叙述VSM和余弦相似度相关理论知识,然后引用阮一峰大神的例子进行解释,最后通过Python简单实现百度百科和互动百科Infobox的余弦相似度计算. 一. 基础知识         第一部分参考我的文章: 基于VSM的命名实体识别.歧义消解和指代消			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr3r6p.html" rel="bookmark" class="title">状态条上能不能增加3个下推按钮控件，并且显示不同的图标？</a>
					<div>
						问题描述 状态条上能不能增加3个下推按钮控件,并且显示不同的图标? 状态条上能不能增加3个下推按钮控件,并且显示不同的图标?怎么在状态条上增加下推按钮呢? 解决方案 http://www.jizhuo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrX6Oz.html" rel="bookmark" class="title">keycode&equals;&equals;16777296 求大神给个解释 这个是小键盘enter的KeyCode？</a>
					<div>
						问题描述 keycode==16777296 求大神给个解释 这个是小键盘enter的KeyCode? 解决方案 主键盘上的Enter的键值是13小键盘上的Enter的键值是0x01000050(16 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlx4aM.html" rel="bookmark" class="title">Linux中利用Procmail来反击垃圾邮件</a>
					<div>
						电子邮件是互联网上最重要的通讯手段和工具.从电子邮件诞生的那天起,无聊的垃圾邮件就成为了人们最头疼的问题之一.据说,世界上每年由于垃圾电子邮件给人们带来的损失就高达数亿美元.在Windows操作系统中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN8gmz.html" rel="bookmark" class="title">关于HTTP及XMLHTTP状态代码一览</a>
					<div>
						xml (一) HTTP 1.1支持的状态代码 100 Continue 初始的请求已经接受,客户应当继续发送请求的其余部分 101 Switching Protocols 服务器将遵从客户的请求转换 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1PY3b.html" rel="bookmark" class="title">如何解决DIV层被Flash动画遮盖问题&quest;</a>
					<div>
						&quot;Opaque windowless&quot;和&quot;Transparent windowless&quot;都可与 HTML 层交互,从而允许 SWF 文件上方的层遮蔽应用程序.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvlNaz.html" rel="bookmark" class="title">一个非常精典的纯CSS漫画&comma;登峰造极&period;</a>
					<div>
						纯CSS打造的漫画,让枯燥变的活泼,让局限变的无限,请点击以下运行看演示 有的人说没有意义,我觉得意义重大. 让枯燥变的活泼,让局限变的无限,请点击以下运行看演示. [Ctrl+A 全部选择 提示:你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQgkWp.html" rel="bookmark" class="title">ASP&period;NET2&period;0服务器控件之自定义状态管理</a>
					<div>
						asp.net|服务器|控件 在前面的系列文章中,我们曾经介绍了视图状态和控件状态的基本概念和典型应用,从中可以发现,视图状态和控件状态对于自定义服务器控件实现的重要性.本文将继续这一主题,重点介绍实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjrE0b.html" rel="bookmark" class="title">ASP生成Word文档的又一方法</a>
					<div>
						word 在网上,利用Asp生成Word文档的方法实在不少,最常见到的方法就是利用Word生成.dot的文档,再用Asp向.dot文档中传递宏,这种方法虽好,但实现起来非常复杂,而且不能循环生成表格. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3gD0b.html" rel="bookmark" class="title">严密防范Windows Server 2008的安全威胁</a>
					<div>
						利用Windows Server 2008系统,我们可以非常轻松地在局域网中搭建属于自己的服务器,以便让安装了其他系统的普通工作站进行随意访问.尽管Windows Server 2008系统的安全性能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6akDz.html" rel="bookmark" class="title">Asp&period;net MVC示例项目&OpenCurlyDoubleQuote;Suteki&period;Shop&rdquo;分析之ModelBinder</a>
					<div>
						在Suteki.Shop中,作者构造了一个ModelBinder基类&quot;DataBinder&quot;,其本身继承自 IModelBinder接口,并以此其类派生出其它一些子类类如Produ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxExjb.html" rel="bookmark" class="title">WPF Bug清单之&lpar;9&rpar;&mdash;&mdash;消失的光标</a>
					<div>
						首先声明一下:有人早就发现了这个问题,发过了帖子,也已经有微软的人说这是&quot;by design&quot;的行为.但是我依然对这个诡异的行为表示不可理解.所以发上来,看看大家的见解. 示例代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOZmkb.html" rel="bookmark" class="title">使用LINQ查询非泛型类型</a>
					<div>
						LINQ能实现查询泛型对象或者实现了IEnumerable接口的对象.然而,诸如ArrayList这样的非泛型集合并没有实现IEnumerable接口.接下来,让我们看看,在这种情况下,如何使用LIN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAmeLb.html" rel="bookmark" class="title">设计网站的步骤</a>
					<div>
						一.确定网站主题 网站主题就是你建立的网站所要包含的主要内容,一个网站必须要有一个明确的主题.特别是对于个人网站,你不可能像综合网站那样做得内容大而全,包罗万象.你没有这个能力,也没这个精力,所以必须 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2E94b.html" rel="bookmark" class="title">解决Win 7系统安装Rational Rose启动报错的方法</a>
					<div>
						在安装Rational Rose完以后提示找不到 suite objects.dll: 经查找,该 dll 存在: 找不到的原因是,安装程序自动设置在 Path 中的环境变量有误: 把最后的 comm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7B3VM.html" rel="bookmark" class="title">PhotoShop为美女照片调出甜美的蓝色调</a>
					<div>
						教程介绍较为甜美的蓝色外景图片的调色方法.过程也较为简单:现在Lab模式下,用应用图像及曲线等调出甜美的底色,然后再在RGB模式下适当调整背景及人物色调即可. 原图 效果1 效果2 1.打开原图素材, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badBlJz.html" rel="bookmark" class="title">Word 2007：自选图形的绘制技巧</a>
					<div>
						  常常在网上看到一些漂亮的形状图样,想着自己也要制作出属于自己独创的图形样式.在Word2007中,我们知道,提供了多种多样的线条.形状.而我们可以根据这些形状来组合成更加复杂的形状. 步骤/方法: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmD66z.html" rel="bookmark" class="title">不用拔插U盘也可以继续使用</a>
					<div>
						  我们在使用完U盘拔出之前都是要&quot;安全删除硬件设备&quot;的,如果点击了这个之后突然又还想再使用U盘,但&quot;我的电脑&quot;里已经没有U盘的盘符了,怎么办呢?你肯定会说&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWXjRb.html" rel="bookmark" class="title">进程通信系列-单向邮槽</a>
					<div>
						      单向邮槽可以用于局域网的不可靠单向广播,代码长度一般,功能一般        缺点:不可靠,单向        优点:简单,不必关心协议 单向邮槽类: #include &quot;std ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQYDOp.html" rel="bookmark" class="title">2013 年开源中国 10 大热门 Java 开源项目</a>
					<div>
						2013 年结束了,我们根据过去一年的用户访问.交流分享和项目本身的更新频度等诸多角度对收录于开源中国的近三万款开源软件进行统计,从而得出前 XX 名最受欢迎的开源软件,仅供参考. 本排行榜主要是针对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP4q0p.html" rel="bookmark" class="title">设计，成本与开发细节的讨论</a>
					<div>
						这两天经历了不少事情,总结起来,让我有了新的观念:        前天去参加一个软件招标会,软件本身价值17W,附带的测试手机那个公司卖5W,在中关村1K就拿下了.当时我那个吃惊啊,软件是国产的,17 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRDQ3b.html" rel="bookmark" class="title">在VB&period;NET应用中使用MySQL的方法&lowbar;Mysql</a>
					<div>
						 绪言 在Visual Studio中使用向导连接到MySQL数据库是一件相当棘手的事情.因为MySQL并不在VS2012默认支持的数据库中(比如SQL Server).在本文中我将介绍如何使用VB. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY3R0p.html" rel="bookmark" class="title">微信&lpar;WeChat &rpar;宣布海外注册用户数破亿</a>
					<div>
						摘要: 微信(WeChat)目前的海外增长走势格外引人注目.一个月前刚刚宣布海外用户数超过7000万用户,今天,微信宣布其海外注册用户数量已经突破一亿,相较三个月前,翻了一番.微信在 去年 微信(We ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKE0nb.html" rel="bookmark" class="title">sql&sol;pl developer-怎么调大SQL&sol;PL输入语句</a>
					<div>
						问题描述 怎么调大SQL/PL输入语句 怎么调大SQL/PL的输入语句,本人有些近视,看不清,谢谢!!! 解决方案 http://jingyan.baidu.com/article/8ebacdf02 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAQL2p.html" rel="bookmark" class="title">网站后台登不上去啦~~~~急急急</a>
					<div>
						问题描述 后台登录是这样的,小弟实在是无力了,求大神们指点这是什么情况啊.qq412571075 解决方案 解决方案二:在你网站目录右键选择&quot;安全&quot;的选项卡,添加一个用户Every ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeN2Xb.html" rel="bookmark" class="title">初步集成环信 UI</a>
					<div>
						问题描述 根据经验; 应该有两个错误parse 库找不到;另外一个不确定!解释:1. 这是集成环信的第一步,没想到都出了这么多错!!!2. 我添加了 parse的 library search pat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjmPGM.html" rel="bookmark" class="title">玩网游轻信中奖 大学生被骗1800</a>
					<div>
						Nhttp://www.aliyun.com/zixun/aggregation/79250.html&quot;&gt;本报记者 江方方通讯员 郭文静 本报讯 现在正是返校的日子,然而张同学却怎么也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xNQKb.html" rel="bookmark" class="title">第8章-任务4-实现分数类中的运算符重载（分数与整数运算）</a>
					<div>
						[题目]在任务3的基础上拓展.分数类中的对象可以和整型数进行四则运算,且运算符合交换律.例如:CFraction a(1,3),b; int i=2; 可以完成b=a+i;.同样,可以完成i+a, 4 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnVOlM.html" rel="bookmark" class="title">org&period;apache&period;commons&period;fileupload上传临时文件删除方法2则</a>
					<div>
						在将文件项封装成FileItem 对象时,如果文件尺寸大于临界值,将会被写入临时文件.   清理方法1 这些临时文件在不再被使用的时候(如果相应的java.io.File是可回收的则更好)会自动被删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmd6Nz.html" rel="bookmark" class="title">基于jQuery实现带动画效果超炫酷的弹出对话框&lpar;附源码下载&rpar;&lowbar;jquery</a>
					<div>
						这是一款基于jQuery的弹出对话框插件,这个jQuery对话框插件的最大特点是弹出和关闭都带有非常炫酷的动画特效,比如旋转飞入.上下抖动飞入等.效果图如下: 效果演示     源码下载 html代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0rr9p.html" rel="bookmark" class="title">javascript XML数据显示为HTML一例&lowbar;javascript技巧</a>
					<div>
						person.htm:  复制代码 代码如下: &lt;html&gt; &lt;body&gt; &lt;script type=&quot;text/javascript&quot;&gt; va ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
